
clear all;   % run following codes to get table 1
clc;



data1=xlsread('decompose_data.csv');  

rate_spread=data1(:,2);  
size=data1(:,3);
maturity=data1(:,4);

% get summary statistics of rate spread, size, maturity

summary_rs=[min(rate_spread),max(rate_spread),mean(rate_spread),std(rate_spread)];
summary_size=[min(size),max(size),mean(size),std(size)];
summary_ma=[min(maturity),max(maturity),mean(maturity),std(maturity)];

table_1_part_1=[summary_rs;summary_size;summary_ma];  %get the first part of table 1

% get summary statistics of WMPs with different characters 

fix_wmp=tabulate(data1(:,5));
float_wmp=tabulate(data1(:,6));
float_ng_wmp=tabulate(data1(:,7));
paid_maturity=tabulate(data1(:,8));
callable=tabulate(data1(:,9));

table_1_part_2=[fix_wmp(2,2:end);  
                              float_wmp(2,2:end);
                              float_ng_wmp(2,2:end);
                              paid_maturity(2,2:end);
                              paid_maturity(1,2:end);
                              callable(2,2:end);
                              callable(1,2:end);
                              ];                                                                    %get the second part of table 1

