
clear all;   % run following codes to get table 2
clc;

data1=xlsread('repdata.xlsx');

% Macroeconomic indicators
gdp=data1(:,1);
consumption=data1(:,2);
unemployment=data1(:,3);
investment=data1(:,4);

%Financing indicators
loan_1y=data1(:,5);
loan_1_5y=data1(:,6);
bond_3m=data1(:,7);
bond_1y=data1(:,8);

%Credit and funding indicators
demand_all=data1(:,9);
demand_L=data1(:,10);
demand_M=data1(:,11);
demand_S=data1(:,12);
wmp_v=data1(:,13);
trustloan=data1(:,14);

%Financial intermediary indicators
lev_b=data1(:,15);
lev_s=data1(:,16);
lev_t=data1(:,17);
roa_b=data1(:,18);
roa_s=data1(:,19);
roa_t=data1(:,20);

%Independent indicators
ndp=data1(:,21);
dp=data1(:,22);
ts=data1(:,23);
fr=data1(:,24);
gz=data1(:,25);
gz_p=data1(:,26);

%Other indicators
spread=data1(:,27);
ndp_iv=data1(:,28);

%regional data
data2=xlsread('regional_data.xlsx');
regional_gdp=data2(:,3);


%get summary statistics
panel_a_s=[gdp,consumption,unemployment,investment];
panel_b_s=[bond_3m,bond_1y,loan_1y,loan_1_5y];
panel_c_s=[demand_all,demand_L,demand_M,demand_S,wmp_v,trustloan];
panel_d_s=[lev_s,lev_b,lev_t,roa_s,roa_b,roa_t];
panel_e_s=[ndp,dp,gz,gz_p,ts,fr];

%get Table 2
panel_a_1=[min(panel_a_s);max(panel_a_s);mean(panel_a_s);std(panel_a_s)]';
panel_a_2=[min(regional_gdp);max(regional_gdp);mean(regional_gdp);std(regional_gdp)]';
panel_a=[panel_a_1;panel_a_2];
panel_b=[min(panel_b_s);max(panel_b_s);mean(panel_b_s);std(panel_b_s)]';
panel_c=[min(panel_c_s);max(panel_c_s);mean(panel_c_s);std(panel_c_s)]';
panel_d=[min(panel_d_s);max(panel_d_s);mean(panel_d_s);std(panel_d_s)]';
panel_e=[min(panel_e_s);max(panel_e_s);mean(panel_e_s);std(panel_e_s)]';

