

clear  // run following codes to get results of table 3

set more off

insheet using "D:\WMPs\final\Data and Codes 0815\decompose_data.csv"

// dft --- default distance of issuing banks
// b1-b15 --- bank dummy
// q1-q36 --- quarter dummy

reg creditspread size maturity fixedrate floatingrate ngfloatingrate payment callable dft b1-b15 q1-q36, noconstant r

est store r1

esttab r1 using table_3.csv, ar2 brackets append star(* 0.10 ** 0.05 *** 0.01)
